import Vue from "vue";
import App from "./Index.vue";
import "@/pages/common.js";
import { validateInitPage } from "@/utils/validateInitPage.js";

validateInitPage() //这里还可以链式then做一些权限拦截
  .then((pageName, pageParams) => {
    Vue.prototype.$pageName = pageName;
    Vue.prototype.$pageParams = pageParams;
    // 自定义56个民族
    Vue.prototype.$nation = [
      "汉族",
      "蒙古族",
      "回族",
      "藏族",
      "维吾尔族",
      "苗族",
      "彝族",
      "壮族",
      "布依族",
      "朝鲜族",
      "满族",
      "侗族",
      "瑶族",
      "白族",
      "土家族",
      "哈尼族",
      "哈萨克族",
      "傣族",
      "黎族",
      "傈僳族",
      "佤族",
      "畲族",
      "高山族",
      "拉祜族",
      "水族",
      "东乡族",
      "纳西族",
      "景颇族",
      "柯尔克孜族",
      "土族",
      "达斡尔族",
      "仫佬族",
      "羌族",
      "布朗族",
      "撒拉族",
      "毛难族",
      "仡佬族",
      "锡伯族",
      "阿昌族",
      "普米族",
      "塔吉克族",
      "怒族",
      "乌孜别克族",
      "俄罗斯族",
      "鄂温克族",
      "崩龙族",
      "保安族",
      "裕固族",
      "京族",
      "塔塔尔族",
      "独龙族",
      "鄂伦春族",
      "赫哲族",
      "门巴族",
      "珞巴族",
      "基诺族"
    ];
    // 自定义学历
    Vue.prototype.$education = [
      "研究生",
      "大学本科",
      "大学专科",
      "中专",
      "高中",
      "初中",
      "小学",
      "文盲"
    ];
    // 自定义学历
    Vue.prototype.$occupation = [
      "国家机关/组织/事业单位人员",
      "农林牧副渔、水利生产人员",
      "服务业",
      "现役军人",
      "销售/采购/客服",
      "房地产/建筑/物业",
      "计算机/通信/电子",
      "财务/金融",
      "机械制造",
      "医药/化工/能源",
      "咨询/法律/教育",
      "消费品生产",
      "物流/管理/人力/行政",
      "市场/媒介/设计",
      "在校学生",
      "企业人员",
      "其它行业"
    ];

    new Vue({
      render: h => h(App)
    }).$mount("#app");
  })
  .catch(e => {
    console.log(e);
  });
